### Function

# GLib rmdir

since: 2.6

#### Declaration

    int
    g_rmdir (
      const gchar* filename
    )

#### Description

A wrapper for the POSIX `rmdir()` function. The `rmdir()` function deletes a directory from the filesystem.

See your C library manual for more details about how `rmdir()` works on your system.

Available since: 2.6

#### Parameters

`filename`

  Type: `const gchar*`

  A pathname in the GLib file name encoding (UTF-8 on Windows)

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `int`

0 if the directory was successfully removed, -1 if an error occurred.